@import url('https://code.highcharts.com/6.1.4/css/highcharts.css');
@import url('https://fonts.googleapis.com/css?family=Open+Sans:400');
@import url('https://s3.amazonaws.com/jchs-app-source-data/JCHS-highchartrs/src/css/JCHS-highcharts.css');

.highcharts-color-0 { fill: #313E3D; stroke: #313E3D; color: #313E3D; }
.highcharts-color-1 { fill: #507688; stroke: #507688; color: #507688; }
.highcharts-color-2 { fill: #93bacb; stroke: #93bacb; color: #93bacb; }
.highcharts-color-3 { fill: #f89f5c; stroke: #f89f5c; color: #f89f5c; }
.highcharts-color-4 { fill: #bf4f27; stroke: #bf4f27; color: #bf4f27; }

.highcharts-area.zone-0,
.highcharts-point.zone-0  { stroke: #313E3D; fill: #313E3D; }
.highcharts-graph.zone-0  { stroke: #313E3D; }

.highcharts-area.zone-1,
.highcharts-point.zone-1  { stroke: #507688; fill: #507688; }
.highcharts-graph.zone-1  { stroke: #507688; }

.highcharts-area.zone-2,
.highcharts-point.zone-2  { stroke: #93bacb; fill: #93bacb; }
.highcharts-graph.zone-2  { stroke: #93bacb; }

.highcharts-area.zone-3,
.highcharts-point.zone-3  { stroke: #f89f5c; fill: #f89f5c; }
.highcharts-graph.zone-3  { stroke: #f89f5c; }

.highcharts-area.zone-4,
.highcharts-point.zone-4  { stroke: #bf4f27; fill: #bf4f27; }
.highcharts-graph.zone-4  { stroke: #bf4f27; }

/* Drilldown size override
   JCHS default: width 380px, min-height 300px
   This chart needs wider/shorter to match map width */
.JCHS-chart__drilldown {
  min-height: 180px;
  width: 650px;
}

/* Export legend sizing */
.JCHS-chart__export-class .highcharts-legend-title {
  font-size: .9em;
}
.JCHS-chart__export-class .highcharts-legend-item {
  font-size: .8em;
}